#!/bin/sh

set -e

case "$1" in
    configure)
        # Trixie removed the alternative
        if dpkg --compare-versions "$2" lt-nl "2024.2.26-1"; then
            update-alternatives --remove-all html2markdown 2> /dev/null || true
        fi
    ;;

    abort-upgrade|abort-remove|abort-deconfigure)
    ;;

    *)
        echo "postinst called with unknown argument \`$1'" >&2
        exit 1
    ;;
esac

#DEBHELPER#

exit 0
# vi: set et:
